package cn.com.poc.agent_application.aggregate;

import cn.com.poc.agent_application.entity.BizAgentApplicationInfoEntity;
import cn.com.poc.thirdparty.resource.demand.ai.common.domain.Message;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

public interface AgentApplicationInfoService {

    /**
     * 更新并发布应用
     */
    boolean updateAndPublish(BizAgentApplicationInfoEntity entity) throws Exception;

    /**
     * 应用预览
     */
    String callAgentApplication(String largeModel, String[] unitIds, String agentSystem,
                                String[] knowledgeIds, Integer communicationTurn, Float topP,
                                List<Message> messages, HttpServletResponse httpServletResponse) throws Exception;


    /**
     * 角色指令AI生成
     *
     * @param input
     * @param httpServletResponse
     * @return
     */
    void createAgentSystem(String input, HttpServletResponse httpServletResponse) throws Exception;

    /**
     * 开场白AI生成
     *
     * @param agentTitle 应用标题
     * @param agentDesc  应用描述
     * @return
     */
    String createPreamble(String agentTitle, String agentDesc);


    /**
     * 推荐问题AI生成
     *
     * @param agentTitle
     * @param agentDesc
     * @return
     * @throws Exception
     */
    List<String> createFeaturedQuestions(String agentTitle, String agentDesc);

    /**
     * 追问AI生成
     *
     * @param messages@return
     */
    List<String> createContinueQuestions(List<Message> messages, String agentId);

}
